### Constructor

# Clutter TextNode new

#### Declaration [src]

    ClutterPaintNode*
    clutter_text_node_new (
      PangoLayout* layout,
      const ClutterColor* color
    )

#### Description [src]

Creates a new `ClutterPaintNode` that will paint a `PangoLayout` with the given color.

This function takes a reference on the passed `layout`, so it is safe to call `g_object_unref()` after it returns.

#### Parameters

`layout`

  Type: `PangoLayout`

  A `PangoLayout`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`color`

  Type: `ClutterColor`

  The color used to paint the layout, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ClutterPaintNode`

The newly created `ClutterPaintNode`. Use `clutter_paint_node_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.